package com.ruoyi.manage.service.impl;

import java.util.List;
        import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.manage.mapper.BaseLocationMapper;
import com.ruoyi.manage.domain.BaseLocation;
import com.ruoyi.manage.service.IBaseLocationService;
import com.ruoyi.common.core.text.Convert;

/**
 * 库位信息维护Service业务层处理
 *
 * @author wh
 * @date 2023-12-11
 */
@Service
public class BaseLocationServiceImpl implements IBaseLocationService {
    @Autowired
    private BaseLocationMapper baseLocationMapper;

    /**
     * 查询库位信息维护
     *
     * @param objid 库位信息维护主键
     * @return 库位信息维护
     */
    @Override
    public BaseLocation selectBaseLocationByObjid(Long objid) {
        return baseLocationMapper.selectBaseLocationByObjid(objid);
    }

    /**
     * 查询库位信息维护列表
     *
     * @param baseLocation 库位信息维护
     * @return 库位信息维护
     */
    @Override
    public List<BaseLocation> selectBaseLocationList(BaseLocation baseLocation) {
        return baseLocationMapper.selectBaseLocationList(baseLocation);
    }

    /**
     * 新增库位信息维护
     *
     * @param baseLocation 库位信息维护
     * @return 结果
     */
    @Override
    public int insertBaseLocation(BaseLocation baseLocation) {
                baseLocation.setCreateBy(ShiroUtils.getLoginName());
                baseLocation.setCreateTime(DateUtils.getNowDate());
            return baseLocationMapper.insertBaseLocation(baseLocation);
    }

    /**
     * 修改库位信息维护
     *
     * @param baseLocation 库位信息维护
     * @return 结果
     */
    @Override
    public int updateBaseLocation(BaseLocation baseLocation) {
                baseLocation.setUpdateBy(ShiroUtils.getLoginName());
                baseLocation.setUpdateTime(DateUtils.getNowDate());
        return baseLocationMapper.updateBaseLocation(baseLocation);
    }

    /**
     * 批量删除库位信息维护
     *
     * @param objids 需要删除的库位信息维护主键
     * @return 结果
     */
    @Override
    public int deleteBaseLocationByObjids(String objids) {
        return baseLocationMapper.deleteBaseLocationByObjids(Convert.toStrArray(objids));
    }

    /**
     * 删除库位信息维护信息
     *
     * @param objid 库位信息维护主键
     * @return 结果
     */
    @Override
    public int deleteBaseLocationByObjid(Long objid) {
        return baseLocationMapper.deleteBaseLocationByObjid(objid);
    }
}
